**** Advance Notice ****

This site will be closed on 31 December 2015,

Important Information for users of NXP LPCXpresso

This site is for users of Code Red branded products.

NXP LPCXpresso users should visit the LPCXpresso FAQ's for up-to-date information relevant to that product.

Differences between revisions 21 and 22
Deletions are marked like this. Additions are marked like this.
Line 3: Line 3:

Many additional plugins are available for LPCXpresso and Red Suite through the Eclipse Marketplace plugin. For more information on installing Marketplace, visit EclipseMarketplace

Using Version Control from within the Code Red tools

Many additional plugins are available for LPCXpresso and Red Suite through the Eclipse Marketplace plugin. For more information on installing Marketplace, visit EclipseMarketplace

Jump to:

CVS

The tools ship with a built-in client for the Concurrent Versions System (CVS). With this client you can access CVS repositories.

You can find more information on CVS at: http://ximbiot.com/cvs/

You can also visit the Eclipse CVS FAQ.

Subversion (SVN)

For use of Subversion repositories, there is a choice of two plugins - Subclipse and Subversive.

More information on Subversion at: http://subversion.apache.org/

Subclipse

Subclipse is a great client for using a Subversion repository and is the client used internally by Code Red Technologies.

For more information on Subclipse, see: http://subclipse.tigris.org/

There is a choice of Subclipse clients, to connect to different versions of Subclipse repositories. All the available clients can be found here: http://subclipse.tigris.org/servlets/ProjectProcess?pageID=p4wYuA

To install the latest Subclipse 1.8 client:

  • Select Help->Install new software

  • Press Add...

  • Enter:
    • Subclipse in the the Name field and

    • http://subclipse.tigris.org/update_1.8.x into the Location field

      • Note this Location was current at the time of writing (Feb 2013), but may have been changed. Follow the link to check if it is still current.
  • Press OK

  • Check everything except Subclipse Integration for Mylin (optional) (see below for additional information).

    • Mac OSX users should see the additional notes below
  • Press Next

  • Press Next

  • Accept the license and press Finish

Notes on installing Subclipse on Mac OSX

On Mac OSX, unless you have an up-to-date JavaHL client, you will need to

  • Follow the instructions above for installing Subclipse, and ensure the SVNKit Client Adapter (in the Subclipse group) is selected for installation.

  • After restarting the IDE, you will need to edit a preference to use the SVNKit Client adapter, by:
    • Open the IDE preferences
    • Expand Team and click on SVN

      • This will open a "Subversion Native Library Not Available" dialog. Hit Cancel

    • Under SVN Interface, select SVNKit (Pure Java) and press OK

  • Subclipse can now be used within the IDE

Important note on installing Subclipse

The complete installation of Subclipse includes an optional component Subclipse Integration for Mylin that requires a component of Eclipse that is not provided in the product. For the installation to proceed correctly, this entry MUST be unchecked.

Subversive

Information on the Subversive plugin can be found at:

The update site for Subversive can be found at:

Installation instructions can be found at:

Git

Information of the Eclipse Git plugin (Egit) can be found at: http://www.eclipse.org/egit/

It has been reported that creating a repository or accessing Window/Preferences/Team/Git/Configuration hangs up LPCXpresso/Red Suite. A solution for this is to append to the following line to the lpcxpresso.ini/redsuite.ini file:

-Djgit.gitprefix=C:/path/to/Git/etc

Remember to replace C:/path/to/Git/etc with your local Git installation path.

TFS - Team Foundation Server

Microsoft produce an offical Eclipse plugin for TFS. For more details, see:

Visual SourceSafe

The VSSPlugin enables the user to perform Microsoft Visual Source Safe (VSS) actions from within the IDE.

Full details and installation instructions can be found here: URL: http://vssplugin.sourceforge.net/ Note that this plgin has not been updated for a few years, and thus may not work with LPCXpresso or Red Suite.

Important note on installing VSSPlugin

The VSSPlugin requires the Eclipse Java Development toolkit to be installed into Red Suite.

To install the Eclipse Java Development toolkit.

  • Help->Software Updates->Find and Install

  • "Search for new features to install"
  • Select "Europa Discovery Site" and Finish
  • Wait, while it populates a list of mirrors
  • Select a mirror site from the list
  • Open "Europa Discovery Site"/"Java Development" and choose "Eclipse Java Development Tools"
  • Accept the license (if acceptable), Next and then Finish

This will download and install several new (Java Development) features from the Eclipse website. These additional plugins shouldn't cause any problems when using Red Suite. When you restart, you should be able to use the VSSPlugin.

VersionControl (last edited 2013-05-13 09:29:24 by DerekMorris)